Bug 506277 - Manually disk partitioning of Custom Layout of the installer produces a write error
Manually disk partitioning of Custom Layout of the installer produces a write...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-16 10:44 EDT by Panos Kavalagios
Modified: 2010-06-28 09:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:03:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Panos Kavalagios 2009-06-16 10:44:53 EDT
Description of problem: Using Custom Disk Layout of the installer, it produces an error when you select to "Write Changes on disk".


Version-Release number of selected component (if applicable): Fedora 11 Installation DVD disc for 32bit


How reproducible: Remove middle extended partitions or primary partitions and recreate them with different sizes


Steps to Reproduce:
1. Start the Fedora 11 installation and choose a clean installation
2. Choose to manually partition (Custom Disk Layout)
3. Assuming a current existing layout:

/dev/sda1 HPFS/NTFS
/dev/sda2 Linux
/dev/sda3 Linux swap / Solaris
/dev/sda4 W95 Ext'd (LBA)
/dev/sda5 Linux
/dev/sda6 Linux
/dev/sda7 Linux
/dev/sda8 Linux
/dev/sda9 W95 FAT32

4. Remove partitions 2,3 and 5-6
5. Recreate 2 and 3 with different sizes
6. Recreate three other extended partitions to fill up the remaining size
7. Save changes by pressing "Write changes to disk" button from the popup
  
Actual results: An error is reported and the modifications were unable to be saved

Expected results: Installer saves the disk modification and proceeds with the installation


Additional info: A workaround is to boot again from the installation disk and when you reach the partition screen, press ctrl-F2 to get a virtual console. Use "fdisk /dev/sda" from the prompt provided to make the same modifications and then "w" to write the changes to disk. Then reboot again with the installation dvd on and your new custom layout is ready to accept the new OS.
Comment 1 Bug Zapper 2010-04-27 10:58:44 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 09:03:28 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.